# SourcePath: ethtool/20170517dev
Summary: A tool for setting ethernet parameters 
Name: sony-target-dev-ethtool
%define pkgname %{sony_tool_triplet}-%{sony_target_dialect}-dev-ethtool
Version: 4.10
Release: 14020101
License: GPL2
Distribution: %{sony_distribution}
Vendor: %{sony_vendor}
Packager: %{sony_packager}
Group: %{sony_group}
URL: http://sourceforge.net/projects/gkernel
Source0: ethtool-%{version}.tar.gz
Buildroot: %{_tmppath}/%{name}-root
Prefix: %{sony_target_dir}

%description
Ethtool is a small utility to get and set values from your your ethernet
controllers.  Not all ethernet drivers support ethtool, but it is getting
better.  If your ethernet driver doesn't support it, ask the maintainer to
write support - it's not hard!

%package -n %{pkgname}
Summary: A tool for setting ethernet parameters
Group: %{sony_group}
AutoReqProv: no

%description -n %{pkgname}
 A tool for setting ethernet parameters.

%prep
%setup -q -n ethtool-%{version}

%build
%sony_target_dev_setup
%sony_target_dev_configure \
	--prefix=%{sony_target_dev_prefix}
make 

%install
rm -rf %{buildroot}
%sony_target_dev_setup
%sony_target_dev_makeinstall

rm -rf %{buildroot}%{sony_target_dir}%{sony_target_dev_dir}/usr/man 
rm -rf %{buildroot}%{sony_target_dir}%{sony_target_dev_dir}/usr/share/man

%clean
rm -rf %{buildroot}

%files -n %{pkgname}
%defattr(-,root,root,-)
%{sony_target_dir}%{sony_target_dev_sbin_dir}/ethtool

%changelog
* Mon May 31 2021 Sony Group Corporation
- Initial build for 14.2.1.0

* Mon Jun 17 2019 Sony Corporation
- Initial build for 14.2.0.1

* Wed Apr 19 2019 Sony Corporation
- Initial build for CE-Linux-14.2.0.x.

* Mon Dec 25 2018 Sony Corporation
- Initial build for CE-Linux-14.1.0.x.

* Wed May 17 2017 Sony Corporation
- Initial build.

